edu.isi.pegasus.planner.code.generator.condor.style

## Class CreamCE

- java.lang.Object
- - edu.isi.pegasus.planner.code.generator.condor.style.Abstract
  - - edu.isi.pegasus.planner.code.generator.condor.style.CreamCE

All Implemented Interfaces:
  CondorStyle

    public class CreamCE
    extends Abstract

Enables a job to be directly submitted to a remote CREAM CE front end The CREAM CE support in Condor is documented at the following link

     http://research.cs.wisc.edu/htcondor/manual/v7.9/5_3Grid_Universe.html#SECTION00637000000000000000

The protocol requires an X.509 proxy for the job, so the submit description file command x509userproxy will be used.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `GRID_RESOURCE_KEY` The key that designates the collector associated with the job
`static java.lang.String` `STYLE_NAME` The name of the style being implemented.

### Fields inherited from class edu.isi.pegasus.planner.code.generator.condor.style.Abstract

`mCredentialFactory, mLogger, mProps, mSiteStore`

### Fields inherited from interface edu.isi.pegasus.planner.code.generator.condor.CondorStyle

`VERSION`

### Constructor Summary

Constructors
Constructor and Description
`CreamCE()` The default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply(Job job)` Applies the CREAM CE style to the job.
`protected java.lang.String` `constructGridResource(Job job)` Constructs the grid_resource entry for the job.

### Methods inherited from class edu.isi.pegasus.planner.code.generator.condor.style.Abstract

`apply, applyCredentialsForJobSubmission, applyCredentialsForLocalExec, applyCredentialsForRemoteExec, complainForCredential, errorMessage, initialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### GRID_RESOURCE_KEY

    public static final java.lang.String GRID_RESOURCE_KEY

The key that designates the collector associated with the job

See Also:
  Constant Field Values

#### STYLE_NAME

    public static final java.lang.String STYLE_NAME

The name of the style being implemented.

See Also:
  Constant Field Values

### Constructor Detail

#### CreamCE

    public CreamCE()

The default constructor.

### Method Detail

#### apply

    public void apply(Job job)
               throws CondorStyleException

Applies the CREAM CE style to the job.

Parameters:
  `job` - the job on which the style needs to be applied.
Throws:
  `CondorStyleException` - in case of any error occuring code generation.

#### constructGridResource

    protected java.lang.String constructGridResource(Job job)
                                              throws CondorStyleException

Constructs the grid_resource entry for the job. The grid resource is a tuple consisting of three fields. A CREAM grid resource specification is of the form: grid_resource = cream The is the name of the batch system that sits behind the CREAM server, into which it submits the jobs. Normal values are pbs, lsf, and condor. It is picked up from the scheduler attribute for the grid gateway entry in the site catalog entry for the site The identifies which queue within the batch system should be used. Values for this will vary by site, with no typical values and are picked up from the globus profile queue associated with the job

Parameters:
  `job` - the job
Returns:
  the grid_resource entry
Throws:
  `CondorStyleException` - in case of any error occuring code generation.